@echo off
cls
set OLD_PATH=%PATH%
set PATH=..\bin;%PATH%

set PROGRAMMING_TOOL=stlink
set PLATFORM=LoRaMote

echo.
echo.
echo 1. ADR OFF
echo 2. ADR ON

set choice=
set /p choice=Please select if ADR is OFF or ON [1,2]: 
if "%choice%"=="1" set ADR=noadr
if "%choice%"=="2" set ADR=adr

echo.
cd .\%PLATFORM%
echo %PROGRAMMING_TOOL%-%ADR%-pgm.bat
call %PROGRAMMING_TOOL%-%ADR%-pgm.bat
cd ..

set PATH=%OLD_PATH%